Bug 5138 - Ensure conformance to Synergies web standards
Ensure conformance to Synergies web standards
Status: RESOLVED WONTFIX
Product: OJS
Classification: Unclassified
Component: User Interface
2.x
PC Linux
: P5 enhancement
Assigned To: PKP Support
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-02-09 10:12 PST by Alec Smecher
Modified: 2013-05-29 16:16 PDT (History)
0 users

See Also:
Version Reported In:
Also Affects:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alec Smecher 2010-02-09 10:12:51 PST
From James 2010-02-08:

1.Ensure validation (HTML, CSS, JavaScript, XML). Any HTML should be valid xHTML 1.0 Transitional and pass the W3 validation test1. XML should validate against its relevant DTD/schema2. CSS should pass the W3 validation test3. Javascript should validate.

2.Develop for 1024x768 resolution. While screen size and resolutions are ever-increasing, there are still a number of older computers and monitors out in the world. 1024x768 dpi resolution is a reasonable target for Synergies to aim for. All core navigational elements should be viewable at this resolution. (Note: JM wants to check the SFU screen reader resolution.)

3.Ensure broad browser compatibility. All Web site functions should function equally well with prevailing Web browsers including at a minimum, the most recent two major releases (current release and one release prior) and all the associated subsets, e.g. IE 7/8, Firefox 2+, Safari 3+, Chrome 3+.

4.Use HTML tables appropriately. HTML tables should not be used for layout purposes, but for tabular data only. Tables should include Table Heading (“<th>…</th>”) elements for the top row of the table, with headings describing the nature and contents of the table columns.

5.Provide textual equivalents for non-textual data. Ensure that alternate text is available for non-text objects (images; video). (Note that video concerns don’t particularly apply to Synergies, at least to the Head Node.) However, purely graphical image elements should not include alt-text so that screen readers will not needlessly pick up on them. 

6.Ensure device-independent access to all form elements. All form elements must be fully accessible and usable via both keyboard and mouse. 

7.Develop Javascript gracefully. All core site features and content should be available if Javascript is disabled. Any functionality provided via Javascript should adhere to the device-independent access recommendation above (for example, any modal dialogue boxes must be keyboard- and mouse-accessible).
Comment 1 Alec Smecher 2010-07-21 10:35:53 PDT
We're mostly there, but this needs a more comprehensive review. Deferring.
Comment 2 Alec Smecher 2013-05-29 16:16:28 PDT
Superseded by OJS 3.0 work.